%define name keepnote
%define version 0.7.8
%define release %mkrel 2

Summary:        A note taking application
Summary(de):	Notizbuchanwendung
Name:           %{name}
Version:        %{version}
Release:        %{release}
Group:          Office
License:        GPLv2+
URL:            http://rasm.ods.org/keepnote/
Source0:        %{name}/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch
BuildRequires:  python
BuildRequires:  python-setuptools
BuildRequires:  desktop-file-utils
Requires:       pygtk2.0
Requires:       gnome-python-extras
Requires:	python >= 2.7


%description
KeepNote is a note taking application that works on Windows, Linux, and MacOS X.
With KeepNote, you can store your class notes, TODO lists, research notes,
journal entries, paper outlines, etc in a simple notebook hierarchy with
rich-text formatting, images, and more. Using full-text search, you can
retrieve any note for later reference

%description -l de
KeepNote ist eine Notizbuchanwendung die unter Windows, Linux und MacOS X arbeitet.
Mit KeepNote können Sie ihr Klassennotizen, TODO-Listen, Forschungsnotizen,
Journaleinträge, Papierentwürfe, ... in einer einfachen Notizbuchhierarchie mit
rich-text Formatierung, Bildern und mehr abspeichern. Durch die Benutzung der Voll-
textsuche können Sie jede Notiz für die später Verwendung wiederfinden.

%prep
%setup -q


%build
python setup.py build


%install
rm -rf %{buildroot}
python setup.py install --skip-build --root %{buildroot}

desktop-file-install --vendor="" \
      --add-category="X-MandrivaLinux-Office-Accessories" \
     --dir=%{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*


%clean
rm -rf %{buildroot}

%post
%{update_menus}


%postun
%{clean_menus}


%files
%defattr(-,root,root,-)
%doc LICENSE README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/keepnote.png
%{py_sitedir}/%{name}/
%{py_sitedir}/%{name}*.egg-info


%changelog
* Sat Aug 17 2013 billybot <billybot> 0.7.8-2pclos2013
- update python 2.7

* Wed Sep 12 2012 Neal <nealbrks0 at gmail dot com> 0.7.8-1pclos2012
- process

* Wed Sep 12 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 0.7.8-1pclos2012
- 0.7.8
- added german summary and description

* Mon Feb 27 2012 Neal <nealbrks0 at gmail dot com> 0.7.7-1pclos2012
- process

* Mon Feb 27 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 0.7.7-1_archie_2011
- update

* Wed Nov 23 2011 Archie Arevalo <pclinuxos.ph at gmail.com> 0.7.6-1_archie_2011
- update

* Mon Apr 04 2011 johnnyblack <johnnyblack at inbox.com> 0.7-1pclos2011
- 0.7

* Sun Nov 28 2010 johnnyblack <johnnyblack at inbox.com> 0.6.7-1pclos2010
- 0.6.7

* Sat Oct 23 2010 johnnyblack <johnnyblack at inbox.com> 0.6.5-1pclos2010
- 0.6.5

* Sat Sep 11 2010 Texstar <texstar at gmail.com> 0.6.4-1pclos2010
- Update

* Fri Jul 31 2009 Texstar <texstar@gmail.com> 0.5.3-1pclos2009
- create

